For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
User GuideDeveloper GuidesAPI Reference
User GuideDeveloper GuidesAPI Reference
    • Overview
  • Runtype API
      • POSTComplete onboarding
      • POSTReset onboarding
      • GETGet user profile
      • PUTUpdate user profile
      • GETGet user statistics
Dashboard
LogoLogo
Runtype APIUsers

Complete onboarding

POST
/v1/users/onboarding/complete
POST
/v1/users/onboarding/complete
$curl -X POST https://api.runtype.com/v1/users/onboarding/complete \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "completed": true,
3 "completedAt": "2024-06-01T09:15:00Z"
4}

Mark onboarding as completed for the authenticated user (dashboard only).

Was this page helpful?
Previous

Reset onboarding

Next
Built with

Authentication

AuthorizationBearer
API key or Clerk session token

Response

Onboarding completion state
completedboolean
completedAtstring or null

Errors

401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error